/*15.	Dado un vector TEMPE de 200 posiciones almacenando igual número de 
estaturas de personas, se pide hallar:
Número de estaturas superiores a 1.80
Número de estaturas comprendidas entre 1.70 y 1.80
Número de estaturas inferiores a 1.70
*/

#include<stdio.h>
#include<conio.h>

#define N 5

void main(void)
{
	int i,sup=0,entre=0,inf=0;
	
	float TEMPE[N];
	float *punt;
	
	clrscr();
	
	punt=TEMPE;
	
	while(punt!=&TEMPE[N])
	{
		printf("Teclee la estatura: ");
		scanf("%f",punt);
		punt++;
	}
	punt=TEMPE;
	while(punt!=&TEMPE[N])
	{
		if(*punt>1.80)
		{
			sup++;
		}
		else
		{
			if(*punt<=1.80 && *punt>=1.70)
			{
				entre++;
			}
			else
			{
				inf++;
			}
		}
		punt++;
	}
	
	printf("Hay %d superiores, %d entre los l¡mites y %d inferiores.",sup,entre,inf);
	getch();
}